/*-------------------панель навигации -------------------------*/
.navbar-nav {
  display:flex;
  flex-wrap: wrap;
  justify-content: flex-start;
 }
 .navbar-nav a {
  padding-top: 0px;
  padding-bottom: 0px;
  font-size: 1.1em;
 }
 .navbar-text {
 color: var(--bs-info);
 color: #0d6efd;
 font-size: 1.1em;
 }
/*--------------------------------------------------------------
Hero-img
--------------------------------------------------------------*/
/*html, body { height: 100vh;}*/
#nature .hero-img {
  background: url(../images/nature.jpg);
  background-position: 30% top;
}
#major .hero-img {
   background: url(../images/index.jpg);
   background-position: 65% top;
}
#contactPage .hero-img {
  background: url(../images/4439.jpg);
  background-position: 30% top;
}
#interesting .hero-img {
  background: url(../images/interesting.jpg);
 }
 #humor .hero-img {
 background: url(../images/ddJ0sykSd18.jpg);
  background-position: 45% top;
  /*background: url(../images/6b007fe623a5e019ec2d55666de1456d.jpg);*/
 }
 #mansion .hero-img {
  background: url(../images/mansion.jpg);
  background-position: 60% top;
 }
  #about .hero-img {
  background: url(../images/about.jpg);
  background-position: 48% top;
 }
#nature .hero-img, 
#major .hero-img,
#contactPage .hero-img,
#interesting .hero-img, 
#humor .hero-img,
#mansion .hero-img,
#about .hero-img
{
   background-size: cover;
  background-repeat: no-repeat;
  height: 100vh;  
  padding-top: 35vh;
 padding-bottom: 9vh;
  /*padding-bottom: 20vh;*/
}
.hero-wrap {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-between;
    padding-bottom: 60px;  
     }
.hero-slogan {
  animation-name: fadeIn;
  animation-duration: 3s;
  animation-fill-mode: forwards;
  animation-delay: 1s;
  opacity: 0;
  color: #ffffff;
  justify-content: center;  
  display: flex;
}
.slogan {
 text-align: left;
  width: 95%;
  font-weight: 500;
  }
  @media (min-width: 767px) {
.slogan {
 text-align:center;
    }
}
.hero-btn {
   text-align: center;
 }
@keyframes fadeIn {
from { opacity: 0; }
   to { opacity: 1;
  /* transform: scale(1.2);*/
   font-size: 1.5rem;
  }
 }
/*@media (max-width: 768px) {
  .hero-slogan {
    font-size: 0.7rem;
  } 
}*/
/*--------------------------------------------------------------
# Global Sections
--------------------------------------------------------------*/
section,
.section {
  color: var(--default-color);
  background-color: var(--background-color);
  padding: 20px 0;
  scroll-margin-top: 100px;
  overflow: clip;
 }

@media (max-width: 1199px) {

  section,
  .section {
    scroll-margin-top: 66px;
  }
}

/*--------------------------------------------------------------
# Gallery Section
--------------------------------------------------------------*/
.gallery .gallery-item {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  display: flex;
 /* background-color: #000000;*/
 
 }

.gallery .gallery-item img {
  transition: 0.3s;
  
 }
.gallery .gallery-item:hover img {
  transform: scale(1.1);
  opacity: 0.6;
}
#nature  .gallery .gallery-item a, #mansion .gallery .gallery-item a,
#interesting .gallery .gallery-item a, #about .gallery .gallery-item a {
  display: flex
}
.gallery .gallery-item a {
 text-decoration: none;
   }

#part1 {
 /* margin-bottom: 20px;*/
}
/*--------------------------------------------------------------
# Секция О нас
--------------------------------------------------------------*/
#about .main {
text-align: justify;
 color:#2b4258;
background: #ebead5;
color: color-mix(in srgb, #212529, transparent 20%);
}
 #about h3 {
  font-weight: 700;
  font-size: 23px;
  
}
 #about h2 {
  font-weight:600;
  font-size: 25px;
  
}
#about .mainText {
  color:#2b4258;
}
#about .fst-italic {
            font-size: 1.1em;
}
 #about img {
            margin-top: 30px;
  }
.textabout {
  font-weight: 500;
  color:#2b4258;
 
}        
.textabout p {
  text-indent: 3em;
}
/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
  display: flex;
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100vh;
  z-index: 99999;
}

#preloader:before,
#preloader:after {
  content: "";
  background-color: #000000;
  position: absolute;
  inset: 0;
  width: 50%;
  height: 100%;
  transition: all 0.3s ease 0s;
  z-index: -1;
}

#preloader:after {
  left: auto;
  right: 0;
}

#preloader .line {
  position: relative;
  overflow: hidden;
  margin: auto;
  width: 1px;
  height: 280px;
  transition: all 0.8s ease 0s;
}

#preloader .line:before {
  content: "";
  position: absolute;
  background-color: #ffffff;
  left: 0;
  top: 50%;
  width: 1px;
  height: 0%;
  transform: translateY(-50%);
  animation: lineincrease 1000ms ease-in-out 0s forwards;
}

#preloader .line:after {
  content: "";
  position: absolute;
  background-color: color-mix(in srgb, var(--default-color), transparent 95%);
  left: 0;
  top: 0;
  width: 1px;
  height: 100%;
  transform: translateY(-100%);
  animation: linemove 1200ms linear 0s infinite;
  animation-delay: 2000ms;
}

#preloader.loaded .line {
  opacity: 0;
  height: 100% !important;
}

#preloader.loaded .line:after {
  opacity: 0;
}

#preloader.loaded:before,
#preloader.loaded:after {
  animation: preloaderfinish 300ms ease-in-out 500ms forwards;
}

@keyframes lineincrease {
  0% {
    height: 0%;
  }

  100% {
    height: 100%;
  }
}

@keyframes linemove {
  0% {
    transform: translateY(200%);
  }

  100% {
    transform: translateY(-100%);
  }
}

@keyframes preloaderfinish {
  0% {
    width: 5 0%;
  }

  100% {
    width: 0%;
  }
}
  /******   footer  *************/
.footer-logo {
            font-size: 25px;
            font-family: Arial, Helvetica, sans-serif;
        }
.footer-logo ul {
            font-size: 0.5em;
            font-family: Verdana, Geneva, Tahoma, sans-serif;
            list-style-type: none;
            padding-left: 0px;
            margin-top: 8px;
            color: var(--bs-gray-700);
        }
#footer-nav div a {
            color: var(--bs-gray-700);
            font-weight: 500;
        }
 #footer-nav div a.active {
            color: black;
             color: var(--bs-gray-800);
            font-weight: 600;
        }
 .b-example-divider {
            width: 100%;
            background-color: var(--bs-gray-100);
            border: solid rgba(0, 0, 0, .15);
            border-width: 1px 0;
            box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
            font-size: 0.8em;
        }
 /*--------------------------------------------------------------
# Scroll Top Button
--------------------------------------------------------------*/
.scroll-top {
            position: fixed;
            visibility: hidden;
            opacity: 0;
            right: 15px;
            bottom: -15px;
            z-index: 99999;
            background-color: #27a776;
            width: 44px;
            height: 44px;
            border-radius: 50px;
            transition: all 0.4s;
        }
.scroll-top i {
            font-size: 24px;
            color: #fafafa;
            line-height: 0;
        }
.scroll-top:hover {
            background-color: color-mix(in srgb, #27a776, transparent 20%);
        }
 .scroll-top.active {
            visibility: visible;
            opacity: 1;
            bottom: 15px;
        }